## org.apache.mahout.classifier.df.mapreduce.partial
Class TreeID

    java.lang.Object
      org.apache.hadoop.io.LongWritable
          org.apache.mahout.classifier.df.mapreduce.partial.TreeID

All Implemented Interfaces:
  Cloneable, Comparable, org.apache.hadoop.io.Writable, org.apache.hadoop.io.WritableComparable

    public class TreeID

extends org.apache.hadoop.io.LongWritable
implements Cloneable

Indicates both the tree and the data partition used to grow the tree

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.hadoop.io.LongWritable
`org.apache.hadoop.io.LongWritable.Comparator, org.apache.hadoop.io.LongWritable.DecreasingComparator`

Field Summary
`static int` `MAX_TREEID`

Constructor Summary
`TreeID()`
`TreeID(int partition, int treeId)`

Method Summary
`TreeID` `clone()`
`int` `partition()` Data partition (InputSplit's index) that was used to grow the tree
`void` `set(int partition, int treeId)`
`int` `treeId()`

Methods inherited from class org.apache.hadoop.io.LongWritable
`compareTo, equals, get, hashCode, readFields, set, toString, write`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### MAX_TREEID

    public static final int MAX_TREEID

See Also:
  Constant Field Values

Constructor Detail

### TreeID

    public TreeID()

### TreeID

    public TreeID(int partition,
                  int treeId)

Method Detail

### set

    public void set(int partition,
                    int treeId)

### partition

    public int partition()

  Data partition (InputSplit's index) that was used to grow the tree

### treeId

    public int treeId()

### clone

    public TreeID clone()

  Overrides:
    `clone` in class `Object`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.